/*
 * Copyright (c) 2007 Kathryn Huxtable
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: UserInfoException.java 996 2007-04-03 16:44:03Z huxtable $
 */
package org.kathrynhuxtable.middleware.shibshim.filter;

/**
 * Exception thrown by retrieveUserInfo, which will cause doFilter to redirect
 * to an error page.
 */
public class UserInfoException extends Exception {

    /**
     * Throw exception with attached message.
     * 
     * @param message
     *            the message for this exception.
     */
    public UserInfoException(String message) {
        super(message);
    }
}
